Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdfwriter
Class COSWriterXRefEntry

    java.lang.Object
      org.pdfbox.pdfwriter.COSWriterXRefEntry

All Implemented Interfaces:
  Comparable

public class COSWriterXRefEntry
extends Object
implements Comparable

this is en entry in the xref section of the physical pdf document generated by the COSWriter.

Version:
  $Revision: 1.7 $
Author:
  Michael Traut

Constructor Summary
`COSWriterXRefEntry(long start, COSBase obj, COSObjectKey keyValue)` COSWriterXRefEntry constructor comment.

Method Summary
`int` | `compareTo(Object obj)`
`COSObjectKey` | `getKey()` This will get the Object key.
`COSBase` | `getObject()` This will get the object.
`long` | `getOffset()` This will get the offset into the document.
`boolean` | `isFree()` Gets the xref 'free' attribute.
`void` | `setFree(boolean newFree)` This will set the free attribute.
`void` | `setOffset(long newOffset)` The offset attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### COSWriterXRefEntry

    public COSWriterXRefEntry(long start,
                              COSBase obj,
                              COSObjectKey keyValue)

  COSWriterXRefEntry constructor comment.

Parameters:
  `start` - The start attribute.
  `obj` - The COS object that this entry represents.
  `keyValue` - The key to the COS object.

Method Detail

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

### getKey

    public COSObjectKey getKey()

  This will get the Object key.

  Returns:
    The object key.

### getOffset

    public long getOffset()

  This will get the offset into the document.

  Returns:
    The offset into the document.

### isFree

    public boolean isFree()

  Gets the xref 'free' attribute.

  Returns:
    The free attribute.

### setFree

    public void setFree(boolean newFree)

  This will set the free attribute.

  Parameters:
    `newFree` - The newly freed attribute.

### setOffset

    public void setOffset(long newOffset)

  The offset attribute.

  Parameters:
    `newOffset` - The new value for the offset.

### getObject

    public COSBase getObject()

  This will get the object.

  Returns:
    The object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD